The list of Octave packages - the file octave_packages that can normally be found in <octave_root>\share\octave - has to have absolute paths to the packages, because the scripts that use that path can be invoked from various places, so the "current directory" is always different. The octave_packages here replaces the path to the root of octave by the string "[OCTAVE_ROOT]". This file should be distributed to the target computer and modified using the octavePathSetter.exe. If you install some new octave packages, don't forget to update the file here.
The octavePathSetter.exe goes through the file specified by the first command line argument (should be the path to octave_packages) and replaces all instances of [OCTAVE_ROOT] by the third commandline argument - see RunPiper_windows.bat for an example of expected usage. The second argument is the destination file.
The real reason a custom script like that is used is because octave also requires to know exactly the number of characters in the path, otherwise it won't read it correctly (guess it is using old c-style arrays of chars instead of std::string). octavePathSetter.exe replaces this information in octave_packages as well.